# Interface CybIpfsNode

interface CybIpfsNode {
add: ((content: string | File, options?: AbortOptions) => Promise<string>);
cat: ((cid: string, options?: CatOptions) => AsyncIterable<Uint8Array, any, any>);
config: IpfsNodePrperties;
connectPeer: ((address: string) => Promise<boolean>);
fetchWithDetails: FetchWithDetailsFunc;
getPeers: (() => Promise<string[]>);
info: (() => Promise<IpfsNodeInfo>);
init: ((options?: InitOptions) => Promise<void>);
isStarted: boolean;
ls: (() => AsyncIterable<LsResult, any, any>);
nodeType: IpfsNodeType;
pin: ((cid: string, options?: AbortOptions) => Promise<string>);
start: (() => Promise<void>);
stat: ((cid: string, options?: AbortOptions) => Promise<IpfsFileStats>);
stop: (() => Promise<void>);
addContent(content: string | File): Promise<string>;
isConnectedToSwarm(): Promise<boolean>;
reconnectToSwarm(lastConnectedTimestamp?: number): Promise<void>;
}

#### Hierarchy (view full)

- IpfsNode
  - CybIpfsNode

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:141

#####
Index

### Properties

add
cat
config
connectPeer
fetchWithDetails
getPeers
info
init
isStarted
ls
nodeType
pin
start
stat
stop

### Methods

addContent
isConnectedToSwarm
reconnectToSwarm

##
Properties

### add

add: ((content: string | File, options?: AbortOptions) => Promise<string>)

Inherited from IpfsNode.add

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:133

### cat

cat: ((cid: string, options?: CatOptions) => AsyncIterable<Uint8Array, any, any>)

Inherited from IpfsNode.cat

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:131

### `Readonly` config

config: IpfsNodePrperties

Inherited from IpfsNode.config

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:126

### connectPeer

connectPeer: ((address: string) => Promise<boolean>)

Inherited from IpfsNode.connectPeer

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:137

### fetchWithDetails

fetchWithDetails: FetchWithDetailsFunc

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:144

### getPeers

getPeers: (() => Promise<string[]>)

Inherited from IpfsNode.getPeers

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:136

### info

info: (() => Promise<IpfsNodeInfo>)

Inherited from IpfsNode.info

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:138

### init

init: ((options?: InitOptions) => Promise<void>)

Inherited from IpfsNode.init

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:128

### `Readonly` isStarted

isStarted: boolean

Inherited from IpfsNode.isStarted

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:127

### ls

ls: (() => AsyncIterable<LsResult, any, any>)

Inherited from IpfsNode.ls

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:135

### `Readonly` nodeType

nodeType: IpfsNodeType

Inherited from IpfsNode.nodeType

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:125

### pin

pin: ((cid: string, options?: AbortOptions) => Promise<string>)

Inherited from IpfsNode.pin

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:134

### start

start: (() => Promise<void>)

Inherited from IpfsNode.start

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:130

### stat

stat: ((cid: string, options?: AbortOptions) => Promise<IpfsFileStats>)

Inherited from IpfsNode.stat

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:132

### stop

stop: (() => Promise<void>)

Inherited from IpfsNode.stop

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:129

##
Methods

### addContent

- addContent(content): Promise<string>

- #### Parameters

  - content: string | File

  #### Returns Promise<string>

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:145

### isConnectedToSwarm

- isConnectedToSwarm(): Promise<boolean>

- #### Returns Promise<boolean>

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:142

### reconnectToSwarm

- reconnectToSwarm(lastConnectedTimestamp?): Promise<void>

- #### Parameters

  - `Optional` lastConnectedTimestamp: number

  #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:143